WAGO PFC 200 Firmware versions 03.01.07(13) Missing Authentication for Critical Function Vulnerability

Summary

An exploitable denial-of-service vulnerability exists in the iocheckd service ??I/O-Chec?? functionality of WAGO PFC 200 Firmware versions 03.01.07(13) and 03.00.39(12), and WAGO PFC 100 Firmware version 03.00.39(12). 

Credit:

The information has been provided by Kelly Leuschner 

The original article can be found at:https://talosintelligence.com/vulnerability_reports/TALOS-2019-0869


Details

A specially crafted set of packets can cause a denial of service, resulting in the device entering an error state where it ceases all network communications. An attacker can send unauthenticated packets to trigger this vulnerability.

 

Vulnerable Systems:

WAGO PFC 200 Firmware versions 03.01.07(13)

WAGO PFC 200 Firmware versions 03.00.39(12)

WAGO PFC 100 Firmware version 03.00.39(12)

 

CVE Information:

CVE-2019-5077

 

Disclosure Timeline:
Published Date:12/18/2019

Categories: News